<template>
  <h3>{{ name }}</h3>
  <address>
    <ul>
      <li>Road: {{ address.road }}</li>
    </ul>
    Zip code: {{ address.zipCode }} City:
    {{ address.city }}
    <template v-if="address.complement"
      >Complement: {{ address.complement }}</template
    >
    <template v-if="address.country">Country: {{ address.country }}</template>
    <template v-if="address.state">State: {{ address.state }}</template>
  </address>
  <button @click="$emit('update')">Edit {{ name }}</button>
  <button @click="$emit('search')">Search {{ name }}</button>
</template>

<script>
export default {
  props: {
    address: {
      type: Object,
      required: true,
    },
    name: String,
  },
  emits: ["update", "search"],
};
</script>
